#include "dialog.h"
#include "ui_dialog.h"

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);

    QString filename(SRCDIR"/test.png");

    QImage image;
    image.load(filename);
    auto pixmap = QPixmap::fromImage(image);

    ui->graphicsView->set(pixmap);
    ui->label->setPixmap(pixmap.scaled(QSize(pixmap.width() / 3, pixmap.height() / 3),
                                       Qt::KeepAspectRatio, Qt::SmoothTransformation));
}

Dialog::~Dialog()
{
    delete ui;
}
